Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.query
Class CompoundPattern

    java.lang.Object
      de.grogra.xl.query.Pattern
          de.grogra.xl.query.BuiltInPattern
              de.grogra.xl.query.CompoundPattern

All Implemented Interfaces:
  BytecodeSerialization.Serializable

    public final class CompoundPattern

extends BuiltInPattern

Field Summary
`static int` | `ATOMIC`
`static int` | `BREAKING`
`static int` | `SIMPLE`

Fields inherited from class de.grogra.xl.query.Pattern
`CONTEXT_MASK, INPUT_MASK, NODE_MASK, NULL_MATCHER, OUTPUT_MASK`

Constructor Summary
`CompoundPattern(Type[] types, boolean[] paramIsNode, boolean[] forceParamIsContext, Pattern[] predicates, boolean[] predIsContext, short[][] paramMappings, short[][] dependencies, short[][] foldings, int in, int out, int direction, int predType, boolean optional, java.lang.String continueLabel)`

Method Summary
`Pattern.Matcher` | `createMatcher(Graph src, XBitSet providedConstants, IntList neededConstantsOut)`
`int` | `getInParameter()`
`int` | `getOutParameter()`
`int` | `getParameterKind(int index)`
`boolean` | `isDeleting()`
`protected java.lang.String` | `paramString()`
`void` | `write(BytecodeSerialization out)`

Methods inherited from class de.grogra.xl.query.Pattern
`getDeclaredParameterCount, getParameterCount, getParameterType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATOMIC

    public static final int ATOMIC

See Also:
  Constant Field Values

### BREAKING

    public static final int BREAKING

See Also:
  Constant Field Values

### SIMPLE

    public static final int SIMPLE

See Also:
  Constant Field Values

Constructor Detail

### CompoundPattern

    public CompoundPattern(Type[] types,
                           boolean[] paramIsNode,
                           boolean[] forceParamIsContext,
                           Pattern[] predicates,
                           boolean[] predIsContext,
                           short[][] paramMappings,
                           short[][] dependencies,
                           short[][] foldings,
                           int in,
                           int out,
                           int direction,
                           int predType,
                           boolean optional,
                           java.lang.String continueLabel)

Method Detail

### createMatcher

    public Pattern.Matcher createMatcher(Graph src,
                                         XBitSet providedConstants,
                                         IntList neededConstantsOut)

  Specified by:
    `createMatcher` in class `Pattern`

### getInParameter

    public int getInParameter()

### getOutParameter

    public int getOutParameter()

### getParameterKind

    public int getParameterKind(int index)

  Specified by:
    `getParameterKind` in class `Pattern`

### isDeleting

    public boolean isDeleting()

  Overrides:
    `isDeleting` in class `Pattern`

### paramString

    protected java.lang.String paramString()

  Overrides:
    `paramString` in class `Pattern`

### write

    public void write(BytecodeSerialization out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD